var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "ClientResources", "../../../_generated/ExtensionDefinition"], function (require, exports, ClientResources, ExtensionDefinition) {
    "use strict";
    "use strict";
    var BillingOverviewBladeViewModel = (function (_super) {
        __extends(BillingOverviewBladeViewModel, _super);
        function BillingOverviewBladeViewModel(container, initialState, dataContext) {
            _super.call(this);
            this.id = ko.observable();
            this.subscriptionId = ko.observable();
            this.assetType = ko.observable(ExtensionDefinition.AssetTypeNames.billing);
            this.assetOwner = ko.observable(ExtensionDefinition.definitionName);
            this._container = container;
            this._dataContext = dataContext;
            this.title(ClientResources.Assets.BillingOverview.singular);
            this.icon(MsPortalFx.Base.Images.Polychromatic.Chart());
        }
        BillingOverviewBladeViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            this.id(inputs.id);
            return this._dataContext.sharedContext.subscriptionsManager.subscriptionsPromise.then(function (subscriptions) {
                _this.subscriptionId(subscriptions.first().subscriptionId);
            });
        };
        return BillingOverviewBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.BillingOverviewBladeViewModel = BillingOverviewBladeViewModel;
});
