var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "ClientResources"], function (require, exports, ClientResources) {
    "use strict";
    "use strict";
    var BillingOverviewPropertiesPartViewModel = (function (_super) {
        __extends(BillingOverviewPropertiesPartViewModel, _super);
        function BillingOverviewPropertiesPartViewModel(container, initialState, dataContext) {
            _super.call(this, initialState);
            this._name = ko.observable("");
            this._entityView = dataContext.sharedContext.billingOverviewManager.billingOverviewEntity.createView(container);
        }
        BillingOverviewPropertiesPartViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            return this._entityView.fetch(inputs.id).then(function () {
                var item = _this._entityView.item();
                var properties = [
                    new MsPortalFx.ViewModels.Parts.Properties.TextProperty(ClientResources.Properties.Name.label, item.Properties().Name())
                ];
                _this.setProperties(properties);
            });
        };
        return BillingOverviewPropertiesPartViewModel;
    }(MsPortalFx.ViewModels.Parts.Properties.ViewModel));
    exports.BillingOverviewPropertiesPartViewModel = BillingOverviewPropertiesPartViewModel;
});
