var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    var PaymentMethodsBladeViewModel = (function (_super) {
        __extends(PaymentMethodsBladeViewModel, _super);
        function PaymentMethodsBladeViewModel(container, initialState, dataContext) {
            _super.call(this);
            this.subscriptionId = ko.observable();
            this.location = ko.observable();
            this.title = ko.observable("Contact Info");
            this.icon = ko.observable(MsPortalFx.Base.Images.Person());
            this._container = container;
            this._dataContext = dataContext;
            this._setupCommandBar();
        }
        PaymentMethodsBladeViewModel.prototype._setupCommandBar = function () {
            this.addPaymentMethodButton = new MsPortalFx.ViewModels.Toolbars.CommandButton();
            this.addPaymentMethodButton.label("Add Payment Method");
            this.addPaymentMethodButton.icon(MsPortalFx.Base.Images.Add());
            this.addPaymentMethodButton.commandContext = ko.observable({
                subscriptionId: this.subscriptionId,
                location: this.location
            });
            this.addPaymentMethodButton.command = {
                canExecute: ko.observable(true),
                execute: function (context) {
                    return Q();
                }
            };
            this.commandBar = new MsPortalFx.ViewModels.Toolbars.Toolbar(this._container);
            this.commandBar.setItems([this.addPaymentMethodButton]);
        };
        PaymentMethodsBladeViewModel.prototype.onInputsSet = function (inputs, settings) {
            var args = {};
            return Q();
        };
        return PaymentMethodsBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.PaymentMethodsBladeViewModel = PaymentMethodsBladeViewModel;
});
