define(["require", "exports", "./Data/BillingOverviewManager", "./Data/SubscriptionsManager", "./Data/InvoicesManager", "./Data/LicenseManager", "./Data/NotificationsDataManager", "./Data/UsageAndQuotaDataManager", "./Data/UserCreditsDataManager"], function (require, exports, BillingOverviewManager, SubscriptionsManager, InvoicesManager, LicenseManager, NotificationsDataManager, UsageAndQuotaDataManager, UserCreditsDataManager) {
    "use strict";
    "use strict";
    var DataContext = (function () {
        function DataContext() {
            this.subscriptionsManager = new SubscriptionsManager.SubscriptionsManager();
            this.billingOverviewManager = new BillingOverviewManager.BillingOverviewManager();
            this.invoicesManager = new InvoicesManager.InvoicesManager();
            this.licenseManager = new LicenseManager.LicenseManager();
            this.notificationsDataManager = new NotificationsDataManager.NotificationsDataManager();
            this.usageAndQuotaDataManager = new UsageAndQuotaDataManager.UsageAndQuotaDataManager();
            this.userCreditsManager = new UserCreditsDataManager.UserCreditsDataManager();
        }
        return DataContext;
    }());
    exports.DataContext = DataContext;
});
