var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "Fx/Composition/Selectable"], function (require, exports, FxSelectable2) {
    "use strict";
    var BladeDefinitions;
    (function (BladeDefinitions) {
        var extensionName = "CloudAssertBillingTenantExtension";
        function createOptions(onClosed, parameters, callbacks) {
            return {
                onClosed: onClosed,
                parameters: parameters,
                callbacks: callbacks
            };
        }
        var BillingOverviewBladeReference = (function (_super) {
            __extends(BillingOverviewBladeReference, _super);
            function BillingOverviewBladeReference(parameters, onClosed) {
                _super.call(this, "BillingOverviewBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return BillingOverviewBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.BillingOverviewBladeReference = BillingOverviewBladeReference;
        var BillingOverviewSettingsListBladeReference = (function (_super) {
            __extends(BillingOverviewSettingsListBladeReference, _super);
            function BillingOverviewSettingsListBladeReference(parameters, onClosed) {
                _super.call(this, "BillingOverviewSettingsListBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return BillingOverviewSettingsListBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.BillingOverviewSettingsListBladeReference = BillingOverviewSettingsListBladeReference;
        var BillingOverviewPropertiesBladeReference = (function (_super) {
            __extends(BillingOverviewPropertiesBladeReference, _super);
            function BillingOverviewPropertiesBladeReference(parameters, onClosed) {
                _super.call(this, "BillingOverviewPropertiesBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return BillingOverviewPropertiesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.BillingOverviewPropertiesBladeReference = BillingOverviewPropertiesBladeReference;
        var BillingMenuBladeReference = (function (_super) {
            __extends(BillingMenuBladeReference, _super);
            function BillingMenuBladeReference(onClosed) {
                _super.call(this, "BillingMenuBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return BillingMenuBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.BillingMenuBladeReference = BillingMenuBladeReference;
        var InvoicesCollectionBladeReference = (function (_super) {
            __extends(InvoicesCollectionBladeReference, _super);
            function InvoicesCollectionBladeReference(onClosed) {
                _super.call(this, "InvoicesCollectionBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return InvoicesCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoicesCollectionBladeReference = InvoicesCollectionBladeReference;
        var InvoiceDetailBladeReference = (function (_super) {
            __extends(InvoiceDetailBladeReference, _super);
            function InvoiceDetailBladeReference(parameters, onClosed) {
                _super.call(this, "InvoiceDetailBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return InvoiceDetailBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoiceDetailBladeReference = InvoiceDetailBladeReference;
        var SubscriptionOverviewBladeReference = (function (_super) {
            __extends(SubscriptionOverviewBladeReference, _super);
            function SubscriptionOverviewBladeReference(parameters, onClosed) {
                _super.call(this, "SubscriptionOverviewBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return SubscriptionOverviewBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.SubscriptionOverviewBladeReference = SubscriptionOverviewBladeReference;
        var UsageHistoryByResourcesGridBladeReference = (function (_super) {
            __extends(UsageHistoryByResourcesGridBladeReference, _super);
            function UsageHistoryByResourcesGridBladeReference(parameters, onClosed) {
                _super.call(this, "UsageHistoryByResourcesGridBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageHistoryByResourcesGridBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageHistoryByResourcesGridBladeReference = UsageHistoryByResourcesGridBladeReference;
        var UsageHistoryBladeReference = (function (_super) {
            __extends(UsageHistoryBladeReference, _super);
            function UsageHistoryBladeReference(onClosed) {
                _super.call(this, "UsageHistoryBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return UsageHistoryBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageHistoryBladeReference = UsageHistoryBladeReference;
        var UserBasicProfileBladeReference = (function (_super) {
            __extends(UserBasicProfileBladeReference, _super);
            function UserBasicProfileBladeReference(onClosed) {
                _super.call(this, "UserBasicProfileBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return UserBasicProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserBasicProfileBladeReference = UserBasicProfileBladeReference;
        var ContactInfoBladeReference = (function (_super) {
            __extends(ContactInfoBladeReference, _super);
            function ContactInfoBladeReference(onClosed) {
                _super.call(this, "ContactInfoBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return ContactInfoBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.ContactInfoBladeReference = ContactInfoBladeReference;
        var BillingAddressBladeReference = (function (_super) {
            __extends(BillingAddressBladeReference, _super);
            function BillingAddressBladeReference(onClosed) {
                _super.call(this, "BillingAddressBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return BillingAddressBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.BillingAddressBladeReference = BillingAddressBladeReference;
        var PaymentMethodsBladeReference = (function (_super) {
            __extends(PaymentMethodsBladeReference, _super);
            function PaymentMethodsBladeReference(onClosed) {
                _super.call(this, "PaymentMethodsBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return PaymentMethodsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PaymentMethodsBladeReference = PaymentMethodsBladeReference;
        var CloudServicesMenuBladeReference = (function (_super) {
            __extends(CloudServicesMenuBladeReference, _super);
            function CloudServicesMenuBladeReference(onClosed) {
                _super.call(this, "CloudServicesMenuBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return CloudServicesMenuBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServicesMenuBladeReference = CloudServicesMenuBladeReference;
        var CloudServicesOverviewBladeReference = (function (_super) {
            __extends(CloudServicesOverviewBladeReference, _super);
            function CloudServicesOverviewBladeReference(onClosed) {
                _super.call(this, "CloudServicesOverviewBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return CloudServicesOverviewBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServicesOverviewBladeReference = CloudServicesOverviewBladeReference;
        var CloudServiceSubscriptionsBladeReference = (function (_super) {
            __extends(CloudServiceSubscriptionsBladeReference, _super);
            function CloudServiceSubscriptionsBladeReference(parameters, onClosed) {
                _super.call(this, "CloudServiceSubscriptionsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return CloudServiceSubscriptionsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceSubscriptionsBladeReference = CloudServiceSubscriptionsBladeReference;
        var PurchaseCloudServiceBladeReference = (function (_super) {
            __extends(PurchaseCloudServiceBladeReference, _super);
            function PurchaseCloudServiceBladeReference(options) {
                _super.call(this, "PurchaseCloudServiceBlade", extensionName, options);
            }
            return PurchaseCloudServiceBladeReference;
        }(FxSelectable2.ParameterProviderBladeReference));
        BladeDefinitions.PurchaseCloudServiceBladeReference = PurchaseCloudServiceBladeReference;
        var CloudServiceSubscriptionDetailsBladeReference = (function (_super) {
            __extends(CloudServiceSubscriptionDetailsBladeReference, _super);
            function CloudServiceSubscriptionDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "CloudServiceSubscriptionDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return CloudServiceSubscriptionDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceSubscriptionDetailsBladeReference = CloudServiceSubscriptionDetailsBladeReference;
        var CloudServiceUsersBladeReference = (function (_super) {
            __extends(CloudServiceUsersBladeReference, _super);
            function CloudServiceUsersBladeReference(onClosed) {
                _super.call(this, "CloudServiceUsersBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return CloudServiceUsersBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceUsersBladeReference = CloudServiceUsersBladeReference;
        var AddCloudServiceCustomerFormBladeReference = (function (_super) {
            __extends(AddCloudServiceCustomerFormBladeReference, _super);
            function AddCloudServiceCustomerFormBladeReference(parameters, onClosed) {
                _super.call(this, "AddCloudServiceCustomerFormBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AddCloudServiceCustomerFormBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AddCloudServiceCustomerFormBladeReference = AddCloudServiceCustomerFormBladeReference;
        var AvailableCloudServiceLicensesBladeReference = (function (_super) {
            __extends(AvailableCloudServiceLicensesBladeReference, _super);
            function AvailableCloudServiceLicensesBladeReference(parameters, onClosed) {
                _super.call(this, "AvailableCloudServiceLicensesBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AvailableCloudServiceLicensesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AvailableCloudServiceLicensesBladeReference = AvailableCloudServiceLicensesBladeReference;
        var AssignCloudServiceLicensesBladeReference = (function (_super) {
            __extends(AssignCloudServiceLicensesBladeReference, _super);
            function AssignCloudServiceLicensesBladeReference(parameters, onClosed) {
                _super.call(this, "AssignCloudServiceLicensesBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AssignCloudServiceLicensesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AssignCloudServiceLicensesBladeReference = AssignCloudServiceLicensesBladeReference;
        var NotificationMessagesBladeReference = (function (_super) {
            __extends(NotificationMessagesBladeReference, _super);
            function NotificationMessagesBladeReference(onClosed) {
                _super.call(this, "NotificationMessagesBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return NotificationMessagesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationMessagesBladeReference = NotificationMessagesBladeReference;
        var NotificationRulesBladeReference = (function (_super) {
            __extends(NotificationRulesBladeReference, _super);
            function NotificationRulesBladeReference(onClosed) {
                _super.call(this, "NotificationRulesBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return NotificationRulesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationRulesBladeReference = NotificationRulesBladeReference;
        var NotificationAddEditBladeReference = (function (_super) {
            __extends(NotificationAddEditBladeReference, _super);
            function NotificationAddEditBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationAddEditBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationAddEditBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationAddEditBladeReference = NotificationAddEditBladeReference;
        var NotificationMessageDetailsBladeReference = (function (_super) {
            __extends(NotificationMessageDetailsBladeReference, _super);
            function NotificationMessageDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationMessageDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationMessageDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationMessageDetailsBladeReference = NotificationMessageDetailsBladeReference;
        var CloudServiceOffersListReference = (function (_super) {
            __extends(CloudServiceOffersListReference, _super);
            function CloudServiceOffersListReference(onClosed) {
                _super.call(this, "CloudServiceOffersList", extensionName, createOptions(onClosed, undefined), {});
            }
            return CloudServiceOffersListReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceOffersListReference = CloudServiceOffersListReference;
        var CloudServiceOffersListViewChildBladeReference = (function (_super) {
            __extends(CloudServiceOffersListViewChildBladeReference, _super);
            function CloudServiceOffersListViewChildBladeReference(parameters, onClosed) {
                _super.call(this, "CloudServiceOffersListViewChildBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return CloudServiceOffersListViewChildBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceOffersListViewChildBladeReference = CloudServiceOffersListViewChildBladeReference;
        var CloudServiceCustomerProfilesBladeReference = (function (_super) {
            __extends(CloudServiceCustomerProfilesBladeReference, _super);
            function CloudServiceCustomerProfilesBladeReference(onClosed) {
                _super.call(this, "CloudServiceCustomerProfilesBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return CloudServiceCustomerProfilesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CloudServiceCustomerProfilesBladeReference = CloudServiceCustomerProfilesBladeReference;
        var AddCloudServiceCustomerProfileBladeReference = (function (_super) {
            __extends(AddCloudServiceCustomerProfileBladeReference, _super);
            function AddCloudServiceCustomerProfileBladeReference(parameters, onClosed) {
                _super.call(this, "AddCloudServiceCustomerProfileBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AddCloudServiceCustomerProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AddCloudServiceCustomerProfileBladeReference = AddCloudServiceCustomerProfileBladeReference;
        var OnboardExistingCloudServiceCustomerProfileBladeReference = (function (_super) {
            __extends(OnboardExistingCloudServiceCustomerProfileBladeReference, _super);
            function OnboardExistingCloudServiceCustomerProfileBladeReference(onClosed) {
                _super.call(this, "OnboardExistingCloudServiceCustomerProfileBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return OnboardExistingCloudServiceCustomerProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.OnboardExistingCloudServiceCustomerProfileBladeReference = OnboardExistingCloudServiceCustomerProfileBladeReference;
        var UsageAndQuotaStatusBladeReference = (function (_super) {
            __extends(UsageAndQuotaStatusBladeReference, _super);
            function UsageAndQuotaStatusBladeReference(onClosed) {
                _super.call(this, "UsageAndQuotaStatusBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return UsageAndQuotaStatusBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaStatusBladeReference = UsageAndQuotaStatusBladeReference;
        var UsageAndQuotaSnapInBladeReference = (function (_super) {
            __extends(UsageAndQuotaSnapInBladeReference, _super);
            function UsageAndQuotaSnapInBladeReference(onClosed) {
                _super.call(this, "UsageAndQuotaSnapInBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return UsageAndQuotaSnapInBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaSnapInBladeReference = UsageAndQuotaSnapInBladeReference;
        var UsageAndQuotaTrendBladeReference = (function (_super) {
            __extends(UsageAndQuotaTrendBladeReference, _super);
            function UsageAndQuotaTrendBladeReference(onClosed) {
                _super.call(this, "UsageAndQuotaTrendBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return UsageAndQuotaTrendBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaTrendBladeReference = UsageAndQuotaTrendBladeReference;
    })(BladeDefinitions || (BladeDefinitions = {}));
    return BladeDefinitions;
});
