define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../CloudServices/ViewModels/AssignCloudServiceLicensesBladeViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "AssignCloudServiceLicensesBlade",
            "inputs": [
                "subscriptionId",
                "cspCustomerId",
                "cspCustomerUserId",
                "availableLicenses"
            ],
            "templateKeyInputs": [
                "subscriptionId",
                "cspCustomerId",
                "cspCustomerUserId",
                "availableLicenses"
            ],
            "viewModelName": "CloudServices$AssignCloudServiceLicensesBladeViewModel",
            "lenses": [],
            "width": 1,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "AssignCloudServiceLicensesBlade.html",
                    "content": "<div data-bind='pcControl: availableLicensesGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/TenantBillingStyles.css",
                        "content": BladesTenantBillingStylescss
                    },
                    {
                        "file": "Blades/DocStyles.css",
                        "content": BladesDocStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
