define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../CloudServices/ViewModels/CloudServiceSubscriptionsBladeViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "CloudServiceSubscriptionsBlade",
            "inputs": [
                "cloudServiceUserId"
            ],
            "templateKeyInputs": [
                "cloudServiceUserId"
            ],
            "viewModelName": "CloudServices$CloudServiceSubscriptionsBladeViewModel",
            "lenses": [],
            "width": 3,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.cloudServiceSubscriptionsGrid.selectableData",
                        "blade": "CloudServiceSubscriptionDetailsBlade",
                        "selectableBindings": [
                            {
                                "property": "subscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 3,
                                        "property": "content.subscriptionId"
                                    }
                                ]
                            },
                            {
                                "property": "cspSubscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Id"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "CloudServiceSubscriptionsBlade.html",
                    "content": "<div data-bind='pcControl: cloudServiceSubscriptionsGrid'></div> "
                },
                "partState": {
                    "sharedProperties": [
                        {
                            "property": "content.subscriptionId",
                            "key": "CloudAssertBilling-SelectedSubscriptionId"
                        }
                    ]
                },
                "styleSheets": [
                    {
                        "file": "Blades/TenantBillingStyles.css",
                        "content": BladesTenantBillingStylescss
                    },
                    {
                        "file": "Blades/DocStyles.css",
                        "content": BladesDocStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
