define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../Billing/ViewModels/PaymentMethodsBladeViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "PaymentMethodsBlade",
            "viewModelName": "Billing$PaymentMethodsBladeViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "PaymentMethodsBlade.html",
                    "content": "<div class=\"msportalfx-form\">No Payment methods setup yet!</div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/TenantBillingStyles.css",
                        "content": BladesTenantBillingStylescss
                    },
                    {
                        "file": "Blades/DocStyles.css",
                        "content": BladesDocStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
