define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../Billing/ViewModels/UsageAndQuota/UsageAndQuotaStatusGridPartViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "UsageAndQuotaStatusBlade",
            "viewModelName": "Billing$UsageAndQuotaStatusGridPartViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": true,
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "UsageAndQuotaStatusGridPart.html",
                    "content": "<div data-bind='pcControl: quotaStatusGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/TenantBillingStyles.css",
                        "content": BladesTenantBillingStylescss
                    },
                    {
                        "file": "Blades/DocStyles.css",
                        "content": BladesDocStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
