define(["require", "exports", "ClientResources", "../../Billing/ViewModels/UsageHistoryBladeViewModel"], function (require, exports, ClientResources) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "UsageHistoryBlade",
            "viewModelName": "Billing$UsageHistoryBladeViewModel",
            "lenses": [
                {
                    "name": "BillingPeriodLens",
                    "partInstances": [
                        {
                            "name": "SelectBillingPeriodPart",
                            "reference": {
                                "partTypeName": "SelectBillingPeriodPart",
                                "bindings": [],
                                "initialSize": 8
                            }
                        }
                    ]
                },
                {
                    "title": ClientResources.subscriptionsYouOwn,
                    "name": "BillingHistoryChartBladeLens",
                    "partInstances": [
                        {
                            "name": "OwnedSubscriptionsOverviewGridPart",
                            "reference": {
                                "partTypeName": "SubscriptionsOverviewGridPart",
                                "bindings": [
                                    {
                                        "property": "subscriptionsCategory",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 5,
                                                "property": "constant_Owned",
                                                "constantValue": "Owned"
                                            }
                                        ]
                                    },
                                    {
                                        "property": "monitorBillingPeriodDropDown",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 5,
                                                "property": "constant_true",
                                                "constantValue": "true"
                                            }
                                        ]
                                    }
                                ],
                                "initialSize": 8
                            }
                        }
                    ]
                }
            ],
            "width": 2,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
