define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../CloudServices/ViewModels/CloudServiceUsersGridPartViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.part = {
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ],
            "name": "CloudServiceUsersGridPart",
            "viewModel": "CloudServices$CloudServiceUsersGridPartViewModel",
            "partKind": 0,
            "canUseOldInputVersions": false,
            "inputs": [],
            "bindings": [],
            "details": [
                {
                    "selectablePath": "content.cloudServiceUsersGrid.selectableData",
                    "blade": "CloudServiceSubscriptionsBlade",
                    "selectableBindings": [
                        {
                            "property": "cloudServiceUserId",
                            "valuesFrom": [
                                {
                                    "referenceType": 6,
                                    "property": "UserId"
                                }
                            ]
                        }
                    ]
                }
            ],
            "htmlTemplateInline": {
                "file": "CloudServiceUsersGridPart.html",
                "content": "<div> <span style=\"font-size: 24px; font-weight: bold\" data-bind='text: cloudServiceUsersGrid.items().length'></span> <span style=\"font-size: 16px; font-weight: bold\"> Users </span> </div> <div data-bind='pcControl: cloudServiceUsersGrid'></div> "
            }
        };
    })(Main || (Main = {}));
    return Main;
});
