define(["require", "exports", "../../CloudServices/ViewModels/CloudServicesOverviewPartViewModel"], function (require, exports) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.part = {
            "styleSheets": [],
            "name": "CloudServicesOverviewPart",
            "viewModel": "CloudServices$CloudServicesOverviewPartViewModel",
            "partKind": 20,
            "canUseOldInputVersions": false,
            "inputs": [
                "id"
            ],
            "bindings": [
                {
                    "property": "id",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "id"
                        }
                    ]
                }
            ],
            "details": [
                {
                    "blade": "CloudServicesOverviewBlade"
                }
            ],
            "assetType": "CloudServices",
            "assetIdInputProperty": "id"
        };
    })(Main || (Main = {}));
    return Main;
});
