var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    var ViewModelFactories;
    (function (ViewModelFactories) {
        var BillingViewModelFactoriesBase = (function (_super) {
            __extends(BillingViewModelFactoriesBase, _super);
            function BillingViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            BillingViewModelFactoriesBase.prototype.BillingOverviewPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewPartViewModel", function (providerModule) { return new providerModule.BillingOverviewPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.SubscriptionsOverviewGridPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/SubscriptionsOverviewGridPartViewModel", function (providerModule) { return new providerModule.SubscriptionsOverviewGridPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.CostBreakdownDonutPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/CostBreakdownDonutPartViewModel", function (providerModule) { return new providerModule.CostBreakdownDonutPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.SelectBillingPeriodPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/SelectBillingPeriodPartViewModel", function (providerModule) { return new providerModule.SelectBillingPeriodPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewBladeViewModel", function (providerModule) { return new providerModule.BillingOverviewBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UserBillingHistoryChartPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UserBillingHistoryChartPartViewModel", function (providerModule) { return new providerModule.UserBillingHistoryChartPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewResourceSummaryViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewResourceSummaryViewModel", function (providerModule) { return new providerModule.BillingOverviewResourceSummaryViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewSettingsListBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewSettingsListBladeViewModel", function (providerModule) { return new providerModule.BillingOverviewSettingsListBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewSettingsListPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewSettingsListPartViewModel", function (providerModule) { return new providerModule.BillingOverviewSettingsListPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewPropertiesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewPropertiesBladeViewModel", function (providerModule) { return new providerModule.BillingOverviewPropertiesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingOverviewPropertiesPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Overview/BillingOverviewPropertiesPartViewModel", function (providerModule) { return new providerModule.BillingOverviewPropertiesPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingMenuBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/BillingMenuBladeViewModel", function (providerModule) { return new providerModule.BillingMenuBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.InvoicesCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/InvoicesCollectionBladeViewModel", function (providerModule) { return new providerModule.InvoicesCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.InvoiceDetailBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/InvoiceDetailBladeViewModel", function (providerModule) { return new providerModule.InvoiceDetailBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.SubscriptionOverviewBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/SubscriptionOverview/SubscriptionOverviewBladeViewModel", function (providerModule) { return new providerModule.SubscriptionOverviewBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.SubscriptionOverviewResourceSummaryViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/SubscriptionOverview/SubscriptionOverviewResourceSummaryViewModel", function (providerModule) { return new providerModule.SubscriptionOverviewResourceSummaryViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UsageHistoryByResourcesGridBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UsageHistoryByResourcesGridBladeViewModel", function (providerModule) { return new providerModule.UsageHistoryByResourcesGridBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UsageHistoryBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UsageHistoryBladeViewModel", function (providerModule) { return new providerModule.UsageHistoryBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UserBasicProfileBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UserBasicProfileBladeViewModel", function (providerModule) { return new providerModule.UserBasicProfileBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.ContactInfoBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/ContactInfoBladeViewModel", function (providerModule) { return new providerModule.ContactInfoBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.BillingAddressBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/BillingAddressBladeViewModel", function (providerModule) { return new providerModule.BillingAddressBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.PaymentMethodsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/PaymentMethodsBladeViewModel", function (providerModule) { return new providerModule.PaymentMethodsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.NotificationMessagesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Notifications/NotificationMessagesBladeViewModel", function (providerModule) { return new providerModule.NotificationMessagesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.NotificationRulesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Notifications/NotificationRulesBladeViewModel", function (providerModule) { return new providerModule.NotificationRulesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.NotificationAddEditBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Notifications/NotificationAddEditBladeViewModel", function (providerModule) { return new providerModule.NotificationAddEditBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.NotificationMessageDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Notifications/NotificationMessageDetailsBladeViewModel", function (providerModule) { return new providerModule.NotificationMessageDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.NotificationMessageDetailsPartBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Notifications/NotificationMessageDetailsPartBladeViewModel", function (providerModule) { return new providerModule.NotificationMessageDetailsPartBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UsageAndQuotaStatusGridPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UsageAndQuota/UsageAndQuotaStatusGridPartViewModel", function (providerModule) { return new providerModule.UsageAndQuotaStatusGridPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UsageAndQuotaSnapInBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UsageAndQuota/UsageAndQuotaSnapInBladeViewModel", function (providerModule) { return new providerModule.UsageAndQuotaSnapInBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.UsageAndQuotaTrendBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/UsageAndQuota/UsageAndQuotaTrendBladeViewModel", function (providerModule) { return new providerModule.UsageAndQuotaTrendBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            BillingViewModelFactoriesBase.prototype.DownloadUsageCommandViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Billing/ViewModels/Commands/DownloadUsageCommandViewModel", function (providerModule) { return new providerModule.DownloadUsageCommandViewModel(container, initialState, _this.dataContext); }, require);
            };
            return BillingViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.BillingViewModelFactoriesBase = BillingViewModelFactoriesBase;
        var CloudServicesViewModelFactoriesBase = (function (_super) {
            __extends(CloudServicesViewModelFactoriesBase, _super);
            function CloudServicesViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            CloudServicesViewModelFactoriesBase.prototype.CloudServicesOverviewPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServicesOverviewPartViewModel", function (providerModule) { return new providerModule.CloudServicesOverviewPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceUsersGridPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceUsersGridPartViewModel", function (providerModule) { return new providerModule.CloudServiceUsersGridPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServicesMenuBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServicesMenuBladeViewModel", function (providerModule) { return new providerModule.CloudServicesMenuBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServicesOverviewBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServicesOverviewBladeViewModel", function (providerModule) { return new providerModule.CloudServicesOverviewBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServicesOverviewResourceSummaryViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServicesOverviewResourceSummaryViewModel", function (providerModule) { return new providerModule.CloudServicesOverviewResourceSummaryViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceSubscriptionsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceSubscriptionsBladeViewModel", function (providerModule) { return new providerModule.CloudServiceSubscriptionsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.PurchaseCloudServiceBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/PurchaseCloudServiceBladeViewModel", function (providerModule) { return new providerModule.PurchaseCloudServiceBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceSubscriptionDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceSubscriptionDetailsBladeViewModel", function (providerModule) { return new providerModule.CloudServiceSubscriptionDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceUsersBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceUsersBladeViewModel", function (providerModule) { return new providerModule.CloudServiceUsersBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.AddCloudServiceCustomerFormBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/AddCloudServiceCustomerFormBladeViewModel", function (providerModule) { return new providerModule.AddCloudServiceCustomerFormBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.AvailableCloudServiceLicensesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/AvailableCloudServiceLicensesBladeViewModel", function (providerModule) { return new providerModule.AvailableCloudServiceLicensesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.AssignCloudServiceLicensesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/AssignCloudServiceLicensesBladeViewModel", function (providerModule) { return new providerModule.AssignCloudServiceLicensesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceOffersListViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceOffersListViewModel", function (providerModule) { return new providerModule.CloudServiceOffersListViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceOffersListInstructionsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceOffersListViewModel", function (providerModule) { return new providerModule.CloudServiceOffersListInstructionsViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceOffersListViewChildBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceOffersListViewChildBladeViewModel", function (providerModule) { return new providerModule.CloudServiceOffersListViewChildBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.CloudServiceCustomerProfilesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/CloudServiceCustomerProfilesBladeViewModel", function (providerModule) { return new providerModule.CloudServiceCustomerProfilesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.AddCloudServiceCustomerProfileBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/AddCloudServiceCustomerProfileBladeViewModel", function (providerModule) { return new providerModule.AddCloudServiceCustomerProfileBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CloudServicesViewModelFactoriesBase.prototype.OnboardExistingCloudServiceCustomerProfileBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../CloudServices/ViewModels/OnboardExistingCloudServiceCustomerProfileBladeViewModel", function (providerModule) { return new providerModule.OnboardExistingCloudServiceCustomerProfileBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return CloudServicesViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.CloudServicesViewModelFactoriesBase = CloudServicesViewModelFactoriesBase;
        function getBilling(viewModelFactories) {
            return viewModelFactories.Billing();
        }
        function getCloudServices(viewModelFactories) {
            return viewModelFactories.CloudServices();
        }
        var ViewModelFactoriesBase = (function () {
            function ViewModelFactoriesBase() {
            }
            ViewModelFactoriesBase.prototype.SetBillingViewModelFactories = function (factories) {
                this._BillingViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.Billing = function () {
                this._BillingViewModelFactories = this._BillingViewModelFactories || new BillingViewModelFactoriesBase();
                return this._BillingViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewPartViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$SubscriptionsOverviewGridPartViewModel = function (container, initialState) {
                return getBilling(this).SubscriptionsOverviewGridPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$CostBreakdownDonutPartViewModel = function (container, initialState) {
                return getBilling(this).CostBreakdownDonutPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$SelectBillingPeriodPartViewModel = function (container, initialState) {
                return getBilling(this).SelectBillingPeriodPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetCloudServicesViewModelFactories = function (factories) {
                this._CloudServicesViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.CloudServices = function () {
                this._CloudServicesViewModelFactories = this._CloudServicesViewModelFactories || new CloudServicesViewModelFactoriesBase();
                return this._CloudServicesViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServicesOverviewPartViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServicesOverviewPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceUsersGridPartViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceUsersGridPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewBladeViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UserBillingHistoryChartPartViewModel = function (container, initialState) {
                return getBilling(this).UserBillingHistoryChartPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewResourceSummaryViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewResourceSummaryViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewSettingsListBladeViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewSettingsListBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewSettingsListPartViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewSettingsListPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewPropertiesBladeViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewPropertiesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingOverviewPropertiesPartViewModel = function (container, initialState) {
                return getBilling(this).BillingOverviewPropertiesPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingMenuBladeViewModel = function (container, initialState) {
                return getBilling(this).BillingMenuBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$InvoicesCollectionBladeViewModel = function (container, initialState) {
                return getBilling(this).InvoicesCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$InvoiceDetailBladeViewModel = function (container, initialState) {
                return getBilling(this).InvoiceDetailBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$SubscriptionOverviewBladeViewModel = function (container, initialState) {
                return getBilling(this).SubscriptionOverviewBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$SubscriptionOverviewResourceSummaryViewModel = function (container, initialState) {
                return getBilling(this).SubscriptionOverviewResourceSummaryViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UsageHistoryByResourcesGridBladeViewModel = function (container, initialState) {
                return getBilling(this).UsageHistoryByResourcesGridBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UsageHistoryBladeViewModel = function (container, initialState) {
                return getBilling(this).UsageHistoryBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UserBasicProfileBladeViewModel = function (container, initialState) {
                return getBilling(this).UserBasicProfileBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$ContactInfoBladeViewModel = function (container, initialState) {
                return getBilling(this).ContactInfoBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$BillingAddressBladeViewModel = function (container, initialState) {
                return getBilling(this).BillingAddressBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$PaymentMethodsBladeViewModel = function (container, initialState) {
                return getBilling(this).PaymentMethodsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServicesMenuBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServicesMenuBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServicesOverviewBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServicesOverviewBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServicesOverviewResourceSummaryViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServicesOverviewResourceSummaryViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceSubscriptionsBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceSubscriptionsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$PurchaseCloudServiceBladeViewModel = function (container, initialState) {
                return getCloudServices(this).PurchaseCloudServiceBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceSubscriptionDetailsBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceSubscriptionDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceUsersBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceUsersBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$AddCloudServiceCustomerFormBladeViewModel = function (container, initialState) {
                return getCloudServices(this).AddCloudServiceCustomerFormBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$AvailableCloudServiceLicensesBladeViewModel = function (container, initialState) {
                return getCloudServices(this).AvailableCloudServiceLicensesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$AssignCloudServiceLicensesBladeViewModel = function (container, initialState) {
                return getCloudServices(this).AssignCloudServiceLicensesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$NotificationMessagesBladeViewModel = function (container, initialState) {
                return getBilling(this).NotificationMessagesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$NotificationRulesBladeViewModel = function (container, initialState) {
                return getBilling(this).NotificationRulesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$NotificationAddEditBladeViewModel = function (container, initialState) {
                return getBilling(this).NotificationAddEditBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$NotificationMessageDetailsBladeViewModel = function (container, initialState) {
                return getBilling(this).NotificationMessageDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$NotificationMessageDetailsPartBladeViewModel = function (container, initialState) {
                return getBilling(this).NotificationMessageDetailsPartBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceOffersListViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceOffersListViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceOffersListInstructionsViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceOffersListInstructionsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceOffersListViewChildBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceOffersListViewChildBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$CloudServiceCustomerProfilesBladeViewModel = function (container, initialState) {
                return getCloudServices(this).CloudServiceCustomerProfilesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$AddCloudServiceCustomerProfileBladeViewModel = function (container, initialState) {
                return getCloudServices(this).AddCloudServiceCustomerProfileBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.CloudServices$OnboardExistingCloudServiceCustomerProfileBladeViewModel = function (container, initialState) {
                return getCloudServices(this).OnboardExistingCloudServiceCustomerProfileBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UsageAndQuotaStatusGridPartViewModel = function (container, initialState) {
                return getBilling(this).UsageAndQuotaStatusGridPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UsageAndQuotaSnapInBladeViewModel = function (container, initialState) {
                return getBilling(this).UsageAndQuotaSnapInBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$UsageAndQuotaTrendBladeViewModel = function (container, initialState) {
                return getBilling(this).UsageAndQuotaTrendBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Billing$DownloadUsageCommandViewModel = function (container, initialState) {
                return getBilling(this).DownloadUsageCommandViewModel(container, initialState);
            };
            return ViewModelFactoriesBase;
        }());
        ViewModelFactories.ViewModelFactoriesBase = ViewModelFactoriesBase;
    })(ViewModelFactories || (ViewModelFactories = {}));
    return ViewModelFactories;
});
