var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    "use strict";
    var DownloadUsageCommandViewModel = (function (_super) {
        __extends(DownloadUsageCommandViewModel, _super);
        function DownloadUsageCommandViewModel(container, initialState, dataContext) {
            var _this = this;
            _super.call(this, true);
            this._id = ko.observable();
            this.enabled(false);
            this.icon(MsPortalFx.Base.Images.Download());
            this._container = container;
            this._dataContext = dataContext;
            this.authorizationToken.subscribe(this._container, function (authorizationToken) {
                if (authorizationToken) {
                    _this.enabled(true);
                }
            });
            this.httpMethod("GET");
            this.showDownloadProgressDialog(true);
        }
        DownloadUsageCommandViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            this.targetUriCallback(function () {
                var args = {
                    subscriptionId: inputs.subscriptionId,
                };
                var downloadUri = _this._dataContext.sharedContext.invoicesManager.downloadUsageCsvUriFormat(args) + "&startDate=" + inputs.billingPeriod.StartDate;
                return Q(downloadUri);
            });
            return Q();
        };
        return DownloadUsageCommandViewModel;
    }(MsPortalFx.ViewModels.FileDownloadCommand));
    exports.DownloadUsageCommandViewModel = DownloadUsageCommandViewModel;
});
