var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "ClientResources"], function (require, exports, ClientResources) {
    "use strict";
    "use strict";
    var BillingOverviewPartViewModel = (function (_super) {
        __extends(BillingOverviewPartViewModel, _super);
        function BillingOverviewPartViewModel(container, initialState, dataContext) {
            _super.call(this);
            this.id = ko.observable();
            this.icon(MsPortalFx.Base.Images.Polychromatic.Chart());
            this.description(ClientResources.Assets.BillingOverview.singular);
        }
        BillingOverviewPartViewModel.prototype.onInputsSet = function (inputs) {
            this.id(inputs.id);
            var descriptor = MsPortalFx.ViewModels.Services.ResourceTypes.parseResourceDescriptor(this.id());
            this.title(descriptor.resource);
            return Q();
        };
        return BillingOverviewPartViewModel;
    }(MsPortalFx.ViewModels.ButtonPart));
    exports.BillingOverviewPartViewModel = BillingOverviewPartViewModel;
});
