define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../Billing/ViewModels/Overview/BillingOverviewPropertiesBladeViewModel", "../../Billing/ViewModels/Overview/BillingOverviewPropertiesPartViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "BillingOverviewPropertiesBlade",
            "inputs": [
                "id"
            ],
            "viewModelName": "Billing$BillingOverviewPropertiesBladeViewModel",
            "lenses": [
                {
                    "name": "BillingOverviewPropertiesBlade_lens1",
                    "partInstances": [
                        {
                            "name": "PropertiesPart",
                            "inline": {
                                "styleSheets": [
                                    {
                                        "file": "Blades/TenantBillingStyles.css",
                                        "content": BladesTenantBillingStylescss
                                    },
                                    {
                                        "file": "Blades/DocStyles.css",
                                        "content": BladesDocStylescss
                                    }
                                ],
                                "viewModel": "Billing$BillingOverviewPropertiesPartViewModel",
                                "partKind": 24,
                                "inputs": [
                                    "id"
                                ],
                                "bindings": [
                                    {
                                        "property": "id",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 1,
                                                "property": "id"
                                            }
                                        ]
                                    }
                                ],
                                "details": [
                                    {
                                        "invocationInputArguments": [
                                            {
                                                "valuesFrom": [
                                                    {
                                                        "referenceType": 0,
                                                        "property": "content.selection"
                                                    }
                                                ]
                                            }
                                        ]
                                    },
                                    {
                                        "invocationInputArguments": [
                                            {
                                                "valuesFrom": [
                                                    {
                                                        "referenceType": 0,
                                                        "property": "content.moveResourceSelection"
                                                    }
                                                ]
                                            }
                                        ],
                                        "outputArguments": [
                                            {
                                                "property": "actionBarOutput",
                                                "valuesFrom": [
                                                    {
                                                        "referenceType": 1,
                                                        "property": "actionBarOutput"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "initialSize": 8
                            }
                        }
                    ]
                }
            ],
            "viewModelInputs": [
                {
                    "property": "id",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "id"
                        }
                    ]
                }
            ],
            "width": 0,
            "locked": true,
            "style": 6,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
