define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../Billing/ViewModels/Notifications/NotificationMessagesBladeViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "NotificationMessagesBlade",
            "viewModelName": "Billing$NotificationMessagesBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": true,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.notificationsGrid.selectableData",
                        "blade": "NotificationMessageDetailsBlade",
                        "selectableBindings": [
                            {
                                "property": "selectedMessageId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Id"
                                    }
                                ]
                            }
                        ],
                        "additionalInputArguments": [
                            {
                                "property": "selectedMessage",
                                "valuesFrom": [
                                    {
                                        "referenceType": 3,
                                        "property": "content.selectedMessage"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "NotificationMessagesBlade.html",
                    "content": "<div data-bind='pcControl: notificationsGrid'></div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/TenantBillingStyles.css",
                        "content": BladesTenantBillingStylescss
                    },
                    {
                        "file": "Blades/DocStyles.css",
                        "content": BladesDocStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
