define(["require", "exports", "../../Billing/ViewModels/Overview/BillingOverviewPartViewModel"], function (require, exports) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.part = {
            "styleSheets": [],
            "name": "BillingOverviewPart",
            "viewModel": "Billing$BillingOverviewPartViewModel",
            "partKind": 20,
            "canUseOldInputVersions": false,
            "inputs": [
                "id"
            ],
            "bindings": [
                {
                    "property": "id",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "id"
                        }
                    ]
                }
            ],
            "details": [
                {
                    "blade": "BillingOverviewBlade",
                    "selectableBindings": [
                        {
                            "property": "id",
                            "valuesFrom": [
                                {
                                    "referenceType": 0,
                                    "property": "content.id"
                                }
                            ]
                        }
                    ]
                }
            ],
            "assetType": "Billing",
            "assetIdInputProperty": "id"
        };
    })(Main || (Main = {}));
    return Main;
});
