define(["require", "exports", "../Blades/DocStyles.css", "../Blades/TenantBillingStyles.css", "../../Billing/ViewModels/SelectBillingPeriodPartViewModel"], function (require, exports, BladesDocStylescss, BladesTenantBillingStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.part = {
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ],
            "name": "SelectBillingPeriodPart",
            "viewModel": "Billing$SelectBillingPeriodPartViewModel",
            "partKind": 0,
            "canUseOldInputVersions": false,
            "inputs": [],
            "bindings": [],
            "details": [],
            "initialSize": 2,
            "supportedSizes": [
                2
            ],
            "htmlTemplateInline": {
                "file": "SelectBillingPeriodPart.html",
                "content": "<div data-bind=\"pcControl: formSection\" style=\"width: 250px\"></div> <!--<div style=\"height: 50px\">\r\n    <div style=\"display: inline-block; padding-bottom: 4px;\" >Billing Period: </div>\r\n    <div style=\"display: inline-block;\" data-bind=\"pcControl: billingPeriodsDropdown\"></div>\r\n</div>--> "
            }
        };
    })(Main || (Main = {}));
    return Main;
});
